## joystick 20051019

=== utils/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.6 2001/07/21 15:43:01 jdeneux Exp $
+# $Id: Makefile,v 1.12 2004/10/19 07:51:52 vojtech Exp $
 #
 # Makefile for Linux input utilities
 #
@@ -22,8 +22,8 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 #
 # Should you need to contact me, the author, you can do so either by
-# e-mail - mail your message to <vojtech@suse.cz>, or by paper mail:
-# Vojtech Pavlik, Ucitelska 1576, Prague 8, 182 00 Czech Republic
+# e-mail - mail your message to <vojtech@ucw.cz>, or by paper mail:
+# Vojtech Pavlik, Simunkova 1594, Prague 8, 182 00 Czech Republic
 #
 #
 # Edit the options below to suit your needs
@@ -32,12 +32,17 @@
 CC		= gcc
 CFLAGS		= -g -O2 -Wall -I../linux/include
 
-PROGRAMS	= evtest inputattach jstest jscal fftest ffmvforce ffset
+PROGRAMS	= evtest inputattach jstest jscal fftest ffmvforce ffset \
+		  ffcfstress # acceltest
 
 compile: $(PROGRAMS)
 
 clean:
 	$(RM) *.o *.swp $(PROGRAMS) *.orig *.rej map *~
+
+ffcfstress: ffcfstress.c
+	$(CC) -O2 -fno-implement-inlines -funsigned-char \
+	 -lm ffcfstress.c -o ffcfstress
 
 ffmvforce.o: ffmvforce.c
 	$(CC) -c $(CFLAGS) $(CPPFLAGS) $^ -o $@ `sdl-config --cflags`
@@ -50,3 +55,6 @@
 
 gencodes: gencodes.c scancodes.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) gencodes.c -o gencodes
+
+acceltest: acceltest.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) -lm $^ -o $@
