=== debian/control ===
Source: joystick
Section: utils
Priority: extra
Maintainer: Stephen Kitt <steve@sk2.org>
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 7.0.50), libsdl1.2-dev

Package: joystick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Recommends: evtest, inputattach
Description: set of testing and calibration tools for joysticks
 Some useful tools for using joysticks:
  ffcfstress(1) - force-feedback stress test
  ffmvforce(1)  - force-feedback orientation test
  ffset(1)      - force-feedback configuration tool
  fftest(1)     - general force-feedback test
  jstest(1)     - joystick test
  jscal(1)      - joystick calibration tool
 .
 evtest and inputattach, which used to be part of this package, are now
 available separately.

Package: evtest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: joystick (<< 20051019-6), dvb-utils (<< 1.1.1+rev1207-4)
Description: utility to monitor input device events
 evtest monitors an input device, displaying all the events it generates.
 .
 It can be used to determine mice button bindings, keymaps for exotic
 keyboards...

Package: inputattach
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: joystick (<< 20051019-6)
Description: utility to connect serial-attached peripherals to the input subsystem
 inputattach connects legacy serial-attached input peripherals to the input
 subsystem: keyboards, mice, joysticks, touch-screens...
 .
 Amongst other things this allows legacy mice to be accessed via the
 /dev/input/mice multiplexer.
 .
 Supported devices include:
  * Serial-attached keyboards including the Apple Newton keyboard, DEC LK201
    / LK401 keyboards, the Stowaway keyboard, Sun type 4 and 5 keyboards,
    standard PS/2 keyboards with a serial adapter
  * Serial mice using Genius, Logitech, Microsoft or Mouse Systems protocols
  * Serial-attached touchscreens including those manufactured by 3M, ELO,
    Fujitsu, Penmount, Touchright, Touchwindow
  * Serial-attached joysticks including I-Force, SpaceBall, SpaceOrb, Gravis
    Stinger, WingMan Warrior
  * The Handykey Twiddler used as a joystick or a chording keyboard
