=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with-quilt --sourcedirectory=utils $@
