=== debian/watch ===
# This package has no current upstream. The source code was retrieved from
# http://linuxconsole.sourceforge.net/ (from CVS really) and updated using
# files from http://kernel.org/pub/linux/kernel/people/dtor/
